<?php
if (!isset($_SESSION['nazwa'])) {
      header('Location: login.php');
      exit();
    }
  echo '<link rel="stylesheet" href="gry/reflit/css/reflit.css" />';
  echo '<div id="refl_tlo">';
  echo '<p style="font-size: 1.5em; text-align: center; color: #FED; margin: 0;">- Reflit -</p>';
    echo '<div id="refl_plansza">';

  require_once('wiras_php/wa_baza/wa_polacz.php');
  $zap = "Select * FROM gry_reflit WHERE status=0 ORDER BY wynik ASC Limit 20";
  $wynik_pobierz = mysqli_query($db, $zap);
  $wynik = array();
  while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
  {
    $wynik[] = $wiersz;
  }
  $lr = count($wynik);
  //------------------------------  
  
  $tabr[0]='A'; $tabr[1]='B'; $tabr[2]='C'; $tabr[3]='D'; $tabr[4]='E'; $tabr[5]='F'; 
    $tabr[6]='G'; $tabr[7]='H'; $tabr[8]='I'; $tabr[9]='J'; $tabr[10]='K'; $tabr[11]='L'; 
    $tabr[12]='M'; $tabr[13]='N'; $tabr[14]='O'; $tabr[15]='P'; $tabr[16]='Q'; $tabr[17]='R';
    $tabr[18]='S'; $tabr[19]='T'; $tabr[20]='U'; $tabr[21]='V'; $tabr[22]='W'; $tabr[23]='X';
    $tabr[24]='Y'; $tabr[25]='Z'; $tabr[26]='0'; $tabr[27]='1'; $tabr[28]='2'; $tabr[29]='3';
    $tabr[30]='4'; $tabr[31]='5'; $tabr[32]='6'; $tabr[33]='7'; $tabr[34]='8'; $tabr[35]='9';
    $nrid = 1;
    echo '<div id="refl_pionl">';
      for($i=0; $i<3; $i++) {
        echo '<input type="button" style="margin: 3px 2px" class="refl_pole" id="pr'.$nrid.'" value="'.$tabr[($nrid-1)].'">';
        $nrid++;
      }
    echo '</div>';
    echo '<div id="refl_rzad1">';
      for($i=0; $i<3; $i++) {
        echo '<input type="button" style="margin: 2px 3px" class="refl_pole" id="pr'.$nrid.'" value="'.$tabr[($nrid-1)].'">';
        $nrid++;
      }
    echo '</div>';

      for($i=0; $i<4; $i++) {
        echo '<div id="refl_rzad2">';
        for ($j=0; $j<6; $j++) {
          echo '<input type="button" class="refl_pole" id="pr'.$nrid.'" value="'.$tabr[($nrid-1)].'">';
          $nrid++;
        }
        echo '</div>';
      }
    echo '<div id="refl_pionr">';
      for($i=0; $i<3; $i++) {
        echo '<input type="button" style="margin: 3px 2px" class="refl_pole" id="pr'.$nrid.'" value="'.$tabr[($nrid-1)].'">';
        $nrid++;
      }
    echo '</div>';
    echo '<div id="refl_rzad3">';
      for($i=0; $i<3; $i++) {
        echo '<input type="button" style="margin: 2px 3px" class="refl_pole" id="pr'.$nrid.'" value="'.$tabr[($nrid-1)].'">';
        $nrid++;
      }
    echo '</div>';
  ?>
    </div>
    <div id="refl_menu">
      <p id="napis_reflit">MENU</p>
      <input type="button" id="but_refl1" value="Start"><br />
      <input type="text" id="tb_refl1" value="Pozostało: 36" readonly>
      <input type="text" id="tb_refl2" value="00:00.000" readonly>
      
      <p id="ref_opiswyn" style="text-align: center; margin: 10px 0 0 0">Uczestnicy - 20 najlepszych wyników</p>
      <div id="wynik_refl">
        <div id="wynikk1_refl">
          <p id="napis2_refl">Lp</p>
<?php
    for ($i=0; $i<$lr; $i++) {
      echo ($i+1).'<br />';
    }
?>
          
        </div>
        <div id="wynikk2_refl">
          <p id="napis2_refl">Nazwa</p>
<?php
    for ($i=0; $i<$lr; $i++) {
      echo $wynik[$i][1].'<br />';
    }
?>
        </div>
        <div id="wynikk3_refl">
          <p id="napis2_refl">Wynik</p>
<?php
    for ($i=0; $i<$lr; $i++) {
      echo $wynik[$i][3].'<br />';
    }
?>
        </div>
        <div id="wynikk4_refl">
          <p id="napis2_refl">Data</p>
<?php
    for ($i=0; $i<$lr; $i++) {
      echo $wynik[$i][4].'<br />';
    }
?>
        </div>
      
      </div>
      <form id="reflform" action="">
        <input type="radio" id="refl_radio" name="ref_wyb" class="refcw1" value="Ucz" checked> Uczestnicy
        <input type="radio" id="refl_radio" name="ref_wyb" class="refcw2" value="Poz"> Wszyscy
        <input type="radio" id="refl_radio" name="ref_wyb" class="refcw3" value="Tw"> Twoje<br />
      </form>
      
      <input type="button" id="but_refl2" value="Zapisz"><br />
    </div>
    
    <div style="width: 805px; height: 100px; overflow-y: auto; margin: 30px auto 5px auto; padding: 10px 15px; background: #004; border: 2px ridge #00b; color: #FED; ">
      <h3>Pomoc</h3>
      Grę rozpoczynamy klikając na przycisk – „Start”.<br />
      Po uruchomieniu gry, jeden ze znaków na planszy zostanie podświetlony w kolorze zielonym. Należy nacisnąć na klawiaturze 
      komputera klawisz z odpowiednim znakiem, np. jeżeli na planszy gry zostanie wyświetlony znak: C, przyciskamy na 
      klawiaturze klawisz z napisem C.
      Po wciśnięciu odpowiedniego klawisza zostanie wyświetlony kolejny znak na planszy i znowu należy wcisnąć na klawiaturze 
      odpowiedni klawisz. Znaki na planszy to wszystkie litery alfabetu + cyfry od 0 do 9.<br />
      Gra zakończy się wtedy, gdy zostaną wyświetlony wszystkie znaki znajdujące się na planszy.  Po zakończeniu gry zostanie 
      zatrzymany zegar i wyświetli się przycisk z napisem: „Zapisz”. Kliknięcie na ten  przycisk spowoduje zapisanie czasu gry 
      w bazie danych.  Pod tabelą wyników znajdują się do wyboru 3 opcje: „Uczestnicy”, „Wszyscy” oraz „Twoje”. Wybranie opcji 
      Uczestnicy spowoduje wyświetlenie 20 najlepszych wyników uzyskanych w grze przez uczestników. Po wybraniu opcji Wszyscy 
      wyświetlimy 20 najlepszych wyników uzyskanych przez wszystkie osoby zarejestrowane na Platformie. Wybranie ostatniej opcji, 
      czyli Twoje pozwala na wyświetlenie wszystkich Twoich zapisanych wyników. Czas uzyskany w grze można zapisać tylko po 
      zakończeniu gry. Po kliknięciu na przycisk „Start”, klawisz „Zapisz” zostaje ukryty.<br />
      Jeżeli wystąpią jakieś problemy z grą to proszę je zgłaszać do mnie lub do Asystentów.<br />
      Pozdrawiam i życzę super wyników,<br />
      Admin.
    </div>


  </div>


<script type="text/javascript">
   $(document).ready(function(){
    var ref_start=0;
    var ref_minuty=0;
    var ref_sekundy=0;
    var ref_milisekundy=0;
    var refl_zegar;
    var rs_wylosowane = new Array(36);
    var rs_znaki = new Array(36);
    var refl_lp = 0;
    var refl_sg = false;
    var ref_tw = 0;  //Typ wyniku
    rs_znaki[0]='A'; rs_znaki[1]='B'; rs_znaki[2]='C'; rs_znaki[3]='D'; rs_znaki[4]='E'; rs_znaki[5]='F'; 
    rs_znaki[6]='G'; rs_znaki[7]='H'; rs_znaki[8]='I'; rs_znaki[9]='J'; rs_znaki[10]='K'; rs_znaki[11]='L'; 
    rs_znaki[12]='M'; rs_znaki[13]='N'; rs_znaki[14]='O'; rs_znaki[15]='P'; rs_znaki[16]='Q'; rs_znaki[17]='R';
    rs_znaki[18]='S'; rs_znaki[19]='T'; rs_znaki[20]='U'; rs_znaki[21]='V'; rs_znaki[22]='W'; rs_znaki[23]='X';
    rs_znaki[24]='Y'; rs_znaki[25]='Z'; rs_znaki[26]='0'; rs_znaki[27]='1'; rs_znaki[28]='2'; rs_znaki[29]='3';
    rs_znaki[30]='4'; rs_znaki[31]='5'; rs_znaki[32]='6'; rs_znaki[33]='7'; rs_znaki[34]='8'; rs_znaki[35]='9';
<?php
  echo 'var ref_nazwa = "'.$_SESSION['nazwa'].'";';
  echo 'var ref_status = '.$_SESSION['status'].';';
?>

  
  function start() {
    var s='';
    losowanie();
    for (i=0; i<36; i++) {
      $('#pr'+(i+1)).val(rs_znaki[rs_wylosowane[i]-1]);
    }
    $("#pr"+rs_wylosowane[0]).css('background', '#00B000');
    refl_sg = true;
    refl_lp = 0;
  }
  
  function reflKoniec() {
    refl_sg = false;
    clearTimeout(refl_zegar);
    wyswietlCzas();
    $('#tb_refl2').val(wstawZero(ref_minuty)+':'+wstawZero(ref_sekundy)+'.'+ref_milisekundy);
    $("#but_refl2").show(500);
  }
  
  
  function wstawZero(i) {
        return (i < 10)? '0'+i : i;
    }
    
    //START
    $( "#but_refl1" ).on( "click", function() {
       for (var i=0; i<36; i++) {
        $("#pr"+(i+1)).removeAttr('style');
       }
       start();
       ref_start = new Date();
       ustawCzas();
    })
    
    
    //ZAPISZ
    $( "#but_refl2" ).on( "click", function() {
       var wyn = $('#tb_refl2').val();
       var refc1 =  wyn.slice(6, 9);
       var refc2 =  wyn.slice(0, 6);
       if (refc1.length==1) refc1=refc1+'00';
       if (refc1.length==2) refc1=refc1+'0';
       var ref_wyn = refc2+refc1;
        $.ajax({
        type:"POST", 
        url:"gry/reflit/reflit_ajax_zapisz.php", 
        data: {k1:ref_nazwa, k2:ref_wyn, k3:ref_status},             
          success:function() {
            typWyniku();
            $("#but_refl2").hide(300);
          },
          error: function(blad) {
          console.log("Błąd! Problem z zapisem wyników w grze Reflit");
        }
      });
     });
     
     $('input[type="radio"]').change(function() {
      var cc = this.form.ref_wyb;
      if ((cc[0].checked)) ref_tw=0;
      if ((cc[1].checked)) ref_tw=1;
      if ((cc[2].checked)) ref_tw=2;
      typWyniku();
      });
    
    function wyswietlWynik(a, s) {
      $.ajax({
            type:"POST",
            url:"gry/reflit/reflit_ajax_wynik.php", 
            dataType:'json',
      async: false,
      data: {k1:a, k2:ref_tw},
                success: function(json) {
         $('#ref_opiswyn').html(s);
         $('#wynikk1_refl').html(json[0]);
         $('#wynikk2_refl').html(json[1]);
         $('#wynikk3_refl').html(json[2]);
         $('#wynikk4_refl').html(json[3]);
                },
      error: function(blad) {
          console.log('Błąd! Problem z wyświetleniem wyników w grze Reflit');
        }
    });
    }
    
    function typWyniku() {
    var tw = '';
    var opis = '';
    if (ref_tw==0) {
      tw='0';
      opis='Uczestnicy - 20 najlepszych wyników';
    }
    if (ref_tw==1) {
      tw='0';
      opis='Wszyscy - 20 najlepszych wyników';
    }if (ref_tw==2) {
      tw=ref_nazwa;
      opis='Wszystkie twoje zapisane wyniki';
    }
    wyswietlWynik(tw, opis);
    }
    
    
    function ustawCzas() {
      wyswietlCzas();
      $('#tb_refl2').val(wstawZero(ref_minuty)+':'+wstawZero(ref_sekundy)+'.'+parseInt(ref_milisekundy/100));
      refl_zegar = setTimeout(function() {
                ustawCzas()
            }, 100);
    }
    
    function wyswietlCzas() {
      var c = new Date() - ref_start;
      var ref_s = parseInt(c / 1000);
      ref_sekundy=ref_s%60;
      ref_milisekundy=(c-(ref_s*1000));
      if (ref_milisekundy<100) {
        ref_milisekundy=ref_milisekundy*10;
      }
      ref_minuty=parseInt(ref_s / 60);
    }
    
    function losowanie() {
      var k=36;
      var n = 36;

      var numbers = new Array(n);
      for (var i=0; i<n; i++) {
        numbers[i] = i + 1;
      }

      for (var i=0; i<k; i++) {
        var r = Math.floor(Math.random()*n);
        rs_wylosowane[i] = numbers[r];
        numbers[r] = numbers[n - 1];
        n--;
      }
    }
    
    $(window).bind("keydown", function(event){  
      if (refl_sg==true) {
		  //alert('key'+event.keyCode);
		  //alert(String.fromCharCode(event.which));
        if ( String.fromCharCode(event.which) == $("#pr"+rs_wylosowane[refl_lp]).val() ) {
          $("#pr"+rs_wylosowane[refl_lp]).css('background', '#005');
          refl_lp++;
          if (refl_lp == 36) {
            $('#tb_refl1').val('Pozostało: '+(36-refl_lp));
            event.preventDefault();
            reflKoniec();
          } else {
            $("#pr"+rs_wylosowane[refl_lp]).css('background', '#00B000');
            $('#tb_refl1').val('Pozostało: '+(36-refl_lp));
            event.preventDefault();
          }
        }
      }
         });
 });
</script>
</html>